% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/segmentedCells-class.R
\name{as.data.frame.SegmentedCells}
\alias{as.data.frame.SegmentedCells}
\title{as.data.frame}
\usage{
\method{as.data.frame}{SegmentedCells}(x, ...)
}
\arguments{
\item{x}{A SegmentedCells object.}

\item{...}{Other arguments.}
}
\value{
A data.frame

## Generate toy data
set.seed(51773)
x <- round(c(runif(200),runif(200)+1,runif(200)+2,runif(200)+3,
             runif(200)+3,runif(200)+2,runif(200)+1,runif(200)),4)
             y <- round(c(runif(200),runif(200)+1,runif(200)+2,runif(200)+3,
                          runif(200),runif(200)+1,runif(200)+2,runif(200)+3),4)
cellType <- factor(paste('c',rep(rep(c(1:2),rep(200,2)),4),sep = ''))
imageID <- rep(c('s1', 's2'),c(800,800))
cells <- data.frame(x, y, cellType, imageID)

## Store data in SegmentedCells object
cellExp <- SegmentedCells(cells, cellTypeString = 'cellType')

## Generate LISA
cellsDF <- as.data.frame(cellExp)

\code{NULL}
}
\description{
Function to coerce a SegmentedCells object to a data frame.
}
